package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumBusinessFilter {

    // 1:商户 2:卡券
    FILTER_BY_MERCHANT(1, "merchant"),
    FILTER_BY_COUPON(2, "coupon"),

    ;

    public static EnumBusinessFilter getEnum(Integer code) {
        for (EnumBusinessFilter value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBusinessFilter(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
